summaryrefslogtreecommitdiffstats
path: root/source/n/network-scripts/network-scripts.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-01-02 20:40:21 +0000
committer Eric Hameleers <alien@slackware.com>2022-01-03 08:59:54 +0100
commit776cc36f81c77479609546ff8ed87b56ec71a279 (patch)
tree762ccb3a3f8fedef53ab339908a399fc5318f1d6 /source/n/network-scripts/network-scripts.SlackBuild
parent4b5d75483c1f858242945982c4bf879f9a7929ac (diff)
downloadcurrent-776cc36f81c77479609546ff8ed87b56ec71a279.tar.gz
current-776cc36f81c77479609546ff8ed87b56ec71a279.tar.xz
Sun Jan 2 20:40:21 UTC 202220220102204021
d/doxygen-1.9.3-x86_64-1.txz: Upgraded. n/network-scripts-15.0-noarch-18.txz: Rebuilt. netconfig: when DHCP configuration is selected, also add hostname labeled loopback entries to /etc/hosts. We don't want to have to rely on something else providing correct name service in order to be able to reach our machine through its own hostname. This was a regression since the netconfig shipped with Slackware 14.2. Thanks to Zexuo.
Diffstat (limited to '')
-rwxr-xr-xsource/n/network-scripts/network-scripts.SlackBuild9
1 files changed, 8 insertions, 1 deletions
diff --git a/source/n/network-scripts/network-scripts.SlackBuild b/source/n/network-scripts/network-scripts.SlackBuild
index ea4bad779..b5bf39688 100755
--- a/source/n/network-scripts/network-scripts.SlackBuild
+++ b/source/n/network-scripts/network-scripts.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=network-scripts
VERSION=${VERSION:-15.0}
ARCH=noarch
-BUILD=${BUILD:-17}
+BUILD=${BUILD:-18}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
@@ -97,5 +97,12 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
rm -f sbin/netconfig.orig
)
+# Patch netconfig to add hostname-labeled loopback entries when DHCP
+# is selected:
+( cd $PKG
+ cat $CWD/0002-add-hostname-loopback-entries-in-etc-hosts-for-dhcp.patch | patch -p1 --verbose || exit 1
+ rm -f sbin/netconfig.orig
+)
+
cd $PKG
/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz